Examples

GET /api/hosts/myhost1.mydomain.net?show_hidden_parameters=true
200
{
  "ip": "1.1.1.1",
  "ip6": "",
  "last_report": null,
  "mac": null,
  "realm_id": null,
  "realm_name": null,
  "sp_mac": null,
  "sp_ip": null,
  "sp_name": null,
  "domain_id": 22495316,
  "domain_name": "mydomain.net",
  "architecture_id": 922134523,
  "architecture_name": "x86_64-6",
  "operatingsystem_id": 1073012830,
  "operatingsystem_name": "Ubuntu 14.10",
  "subnet_id": null,
  "subnet_name": null,
  "subnet6_id": null,
  "subnet6_name": null,
  "sp_subnet_id": null,
  "ptable_id": 1007981703,
  "ptable_name": "ptable6",
  "medium_id": 1011586620,
  "medium_name": "medium6",
  "pxe_loader": null,
  "build": false,
  "comment": "",
  "disk": "",
  "initiated_at": null,
  "installed_at": null,
  "model_id": null,
  "hostgroup_id": null,
  "owner_id": 135138680,
  "owner_name": "Admin User",
  "owner_type": "User",
  "creator_id": 135138680,
  "creator": "Admin User",
  "enabled": true,
  "managed": true,
  "use_image": null,
  "image_file": "",
  "uuid": null,
  "rebuild_requires_poweroff": false,
  "compute_resource_id": 980190963,
  "compute_resource_name": "compute_resource4",
  "compute_profile_id": null,
  "compute_profile_name": null,
  "capabilities": [
    "build",
    "image",
    "new_volume"
  ],
  "provision_method": "build",
  "certname": "myhost1.mydomain.net",
  "image_id": null,
  "image_name": null,
  "created_at": "2026-10-02 20:49:39 UTC",
  "updated_at": "2026-10-02 20:49:39 UTC",
  "last_compile": null,
  "global_status_label": "OK",
  "global_status_fulltext": [],
  "bmc_available": false,
  "organization_id": 447626438,
  "organization_name": "Organization 1",
  "location_id": 255093256,
  "location_name": "Location 1",
  "puppet_status": 0,
  "model_name": null,
  "build_status": 0,
  "build_status_label": "Installed",
  "name": "myhost1.mydomain.net",
  "id": 2,
  "display_name": "myhost1.mydomain.net",
  "puppet_proxy_id": null,
  "puppet_proxy_name": null,
  "puppet_ca_proxy_id": null,
  "puppet_ca_proxy_name": null,
  "puppet_proxy": null,
  "puppet_ca_proxy": null,
  "global_status": 0,
  "operatingsystem_icon": "/assets/icons16x16/ubuntu-c23bf1196004a84e256e4e1ca22e1e7fb75cc0f998fe9bd2b9a1b001514982af.png",
  "compute_resource_provider": "libvirt",
  "hostgroup_name": null,
  "hostgroup_title": null,
  "parameters": [],
  "all_parameters": [
    {
      "priority": null,
      "created_at": "2026-10-02 20:49:29 UTC",
      "updated_at": "2026-10-02 20:49:29 UTC",
      "id": 665394701,
      "name": "parameter",
      "parameter_type": "string",
      "associated_type": "domain",
      "hidden_value?": false,
      "value": "value1"
    },
    {
      "priority": null,
      "created_at": "2026-10-02 20:49:29 UTC",
      "updated_at": "2026-10-02 20:49:29 UTC",
      "id": 513706444,
      "name": "loc_param",
      "parameter_type": "string",
      "associated_type": "location",
      "hidden_value?": false,
      "value": "abc"
    },
    {
      "priority": null,
      "created_at": "2026-10-02 20:49:29 UTC",
      "updated_at": "2026-10-02 20:49:29 UTC",
      "id": 32400255,
      "name": "org_param",
      "parameter_type": "string",
      "associated_type": "organization",
      "hidden_value?": false,
      "value": "xyz"
    },
    {
      "priority": null,
      "created_at": "2026-10-02 20:49:29 UTC",
      "updated_at": "2026-10-02 20:49:29 UTC",
      "id": 636252244,
      "name": "test",
      "parameter_type": "string",
      "associated_type": "global",
      "hidden_value?": false,
      "value": "myvalue"
    }
  ],
  "interfaces": [
    {
      "subnet_id": null,
      "subnet_name": null,
      "subnet6_id": null,
      "subnet6_name": null,
      "domain_id": 22495316,
      "domain_name": "mydomain.net",
      "host_id": 2,
      "host_name": "myhost1.mydomain.net",
      "created_at": "2026-10-02 20:49:39 UTC",
      "updated_at": "2026-10-02 20:49:39 UTC",
      "managed": true,
      "identifier": "",
      "id": 2,
      "name": "myhost1.mydomain.net",
      "ip": "1.1.1.1",
      "ip6": "",
      "mac": null,
      "mtu": null,
      "fqdn": "myhost1.mydomain.net",
      "primary": true,
      "provision": true,
      "type": "interface",
      "virtual": false
    }
  ],
  "permissions": {
    "view_hosts": true,
    "create_hosts": true,
    "edit_hosts": true,
    "destroy_hosts": true,
    "build_hosts": true,
    "power_hosts": true,
    "console_hosts": true,
    "ipmi_boot_hosts": true
  }
}

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be an identifier, string from 1 to 128 characters containing only alphanumeric characters, dot(.), space, underscore(_), hypen(-) with no leading or trailing space.

show_hidden_parameters
optional

Display hidden parameter values

Validations:

  • Must be one of: true, false, 1, 0.